Bug 21010 - Sound broke recently on thinkpads T43, T60, T61 - may get repaired by changing DE
Summary: Sound broke recently on thinkpads T43, T60, T61 - may get repaired by changin...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High major
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-02 01:07 CEST by Morgan Leijström
Modified: 2017-08-07 11:30 CEST (History)
2 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
T43 fresh install no sound: lspci -v, rpm -qa|sort, journalctl -xb (51.54 KB, application/octet-stream)
2017-06-03 13:42 CEST, Morgan Leijström
Details

Description Morgan Leijström 2017-06-02 01:07:00 CEST
Some day between april 23 and may 30, sound ceased to work on our laptops Thinkpad T60 and T43.  Did not pay it much attention as we seldom need sound on them.

System: Cauldron 32 and 64 bit, Plasma (but also other DE installed)

How reproducible: even at reinstall (T43, plasma, today)

Symptoms:

§ No sound ;)

§ Nothing suspicious in the volume app in system tray

§ in KDE system settings, there is as expected only one sound "card". Selecting that and pressing test button produce after a delay an error dialogue 
 "Failed to set selected sound output device"  (I translated)

§ At the same time, this line shows up in system journal:
void BackendSelection::load() "/usr/bin/phonon4qt5_backend" does not exist

Yes no package in cauldron have a file with that path.
I have /usr/lib64/qt5/plugins/phonon4qt5_backend
from package lib64phonon4qt5_4  ver 4.9.1-1 from january.
‎        
So what made what suddenly look in the wrong place?

More around that line:

jun 02 00:16:19 kajsas plasmashell[3632]: trying to show an empty dialog
jun 02 00:16:19 kajsas plasmashell[3632]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:96: TypeError: Cannot read property of null
jun 02 00:16:19 kajsas plasmashell[3632]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:96: TypeError: Cannot read property of null
jun 02 00:16:21 kajsas kwin_x11[3629]: QXcbConnection: XCB error: 3 (BadWindow), sequence: 5751, resource id: 56623180, major code: 18 (ChangeProperty), minor code: 0
jun 02 00:16:23 kajsas kactivitymanagerd[3682]: Creating the cache for:  "applications:systemsettings.desktop"
jun 02 00:16:23 kajsas kactivitymanagerd[3682]: Already in database?  true
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:       First update :  QDateTime(2016-05-20 19:44:49.000 CEST Qt::TimeSpec(LocalTime))
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:        Last update :  QDateTime(2017-06-01 23:56:29.000 CEST Qt::TimeSpec(LocalTime))
jun 02 00:16:23 kajsas kactivitymanagerd[3682]: After the adjustment
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:      Current score :  3.07549
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:       First update :  QDateTime(2016-05-20 19:44:49.000 CEST Qt::TimeSpec(LocalTime))
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:        Last update :  QDateTime(2017-06-01 23:56:29.000 CEST Qt::TimeSpec(LocalTime))
jun 02 00:16:23 kajsas kactivitymanagerd[3682]: Interval length is  0
jun 02 00:16:23 kajsas kactivitymanagerd[3682]:          New score :  4.07549
jun 02 00:16:27 kajsas systemsettings5[12589]: "/home/kajsa/.config/kde.org/libphonon.conf"
jun 02 00:16:27 kajsas systemsettings5[12589]: libpaths ("/usr/lib64/qt5/plugins", "/usr/bin")
jun 02 00:16:27 kajsas systemsettings5[12589]: void BackendSelection::load() "/usr/bin/phonon4qt5_backend" does not exist
jun 02 00:16:27 kajsas systemsettings5[12589]: qooooooooo
jun 02 00:16:27 kajsas systemsettings5[12589]: "/home/kajsa/.config/kde.org/libphonon.conf"
jun 02 00:16:27 kajsas systemsettings5[12589]: libpaths ("/usr/lib64/qt5/plugins", "/usr/bin")
jun 02 00:16:27 kajsas systemsettings5[12589]: void BackendSelection::load() "/usr/bin/phonon4qt5_backend" does not exist
jun 02 00:16:27 kajsas systemsettings5[12589]: qooooooooo
jun 02 00:16:27 kajsas systemsettings5[12589]: qooooooooo
jun 02 00:16:27 kajsas systemsettings5[12589]: context_state_callback "Terminated"
jun 02 00:16:27 kajsas systemsettings5[12589]: context_state_callback "Terminated"
jun 02 00:16:27 kajsas systemsettings5[12589]: context_state_callback "Terminated"
jun 02 00:16:27 kajsas systemsettings5[12589]: Doing update 0
jun 02 00:16:27 kajsas systemsettings5[12589]: Got info about card "Inbyggt ljud"
jun 02 00:16:27 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:27 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:27 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:27 kajsas systemsettings5[12589]: "Updating ports for device 'Inbyggt ljud Analog stereo' (1 ports available)"
jun 02 00:16:27 kajsas systemsettings5[12589]: Doing update 0
jun 02 00:16:27 kajsas systemsettings5[12589]: "Updating ports for device 'Inbyggt ljud Analog stereo' (1 ports available)"
jun 02 00:16:32 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:32 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:32 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:32 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:32 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:40 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:40 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:45 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:45 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:45 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:53 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:53 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:53 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:54 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:54 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:59 kajsas systemsettings5[12589]: Got info about sink "Inbyggt ljud Analog stereo"
jun 02 00:16:59 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
jun 02 00:16:59 kajsas systemsettings5[12589]: "Want ID: No; Have ID: No"
...skipping...
Comment 1 Morgan Leijström 2017-06-02 01:17:38 CEST
Works in cinnamon, same boot, same user.
(After the above i just logged out of plasma and into cinnamon)

CC: (none) => mageia
Source RPM: (none) => plasma something...

Comment 2 Morgan Leijström 2017-06-02 01:37:42 CEST
... and now I logged out of cinnamon and into plasma, and sound works!
Both in firefox, and plasma settings test button!

Something plasma should initialise but dont, and cinnamon do?

The weird wrong path still appear in log like in comment 0, and maybe should be fixed anyway?

This test was on the T60 which is a production machine i do not want to post whole the log from, but ask if you need something, and i can also test on T43.
Morgan Leijström 2017-06-02 01:41:53 CEST

Summary: Sound broke recently on thinkpads T43 and T60 => Plasma sound broke recently on thinkpads T43 and T60

Comment 3 Morgan Leijström 2017-06-02 01:52:16 CEST
Reboot, and into plasma directly, sound is OK now.
This is weird.  I did not do anything, no update, no setting, just logged into cinnamon and it repaired something...?
Comment 4 Morgan Leijström 2017-06-02 10:34:12 CEST
My daughter humbly noted me that sound ceased after i updated and rebooted her T61 a week or so ago.

And that is in * MATE *   Yes i verified the MATE sound settings test produce no sound, but also no error message.

That system too have several DE, among them Plasma.  So i logged out of MATE, into Plasma just to check.  SURPRISE: there is sound!  Logged out and into MATE, and sound OK there too now.  And sound survives reboot and suspend-resume.

So no blame on plasma.

But something broke because an update. (and also after reboot of it)
And that something is repaired by *changing* DE.
What initialisations are done then, that should have been done after an update? 

(Sidenote: that wrong path logged when using Plasma systemsettigns sound check is logged on this system too - plus like on the other machines quite a lot other error messages from plasma, but it works still...)


Then there is my T43, which was fresh installed with only Plasma yesterday and sound is broken.  I guess from the above experience it will be fixed if i install cinnamon and change to it and back, but i leave it as is for a while if someone have an idea what i can test to track this down.

Summary: Plasma sound broke recently on thinkpads T43 and T60 => Sound broke recently on thinkpads T43, T60, T61 - get repaired by changing DE
Source RPM: plasma something... => (none)

Comment 5 Rémi Verschelde 2017-06-02 14:03:33 CEST
Assigning to all packagers for now as I'm not sure what would be the culprit - CC'ing kernel and drivers maintainers in case they have ideas on how to debug this.

Severity: normal => major
Assignee: bugsquad => pkg-bugs
CC: (none) => kernel
Priority: Normal => High

Comment 6 Morgan Leijström 2017-06-03 13:36:51 CEST
More observations the freshly installed T43 i586 Plasma + updates ( and openshot-qt + deps ) :

--- A) 

No sound in programs and systemsettings Test button at section "sound and video" leftmost tab make no sound but stay in for the expected duration. Left and Right buttons in the center tab also do not work.  No error popups at all.
Rightmost tab tell Backend = Phonon VLC

--- B)

In section "sound volume" Leftmost tab "Progr..." sound active programs are listed, each with a slider and mute button. On this machine before any program use sound, Alsa is listed (seem strange to me)
  ALSA plug-in [python3.5m]: ALSA Playback
When i start Firefox to play video, alsa vanishes to never be seen.  Firefox with slider is shown as long as it is playing, not muted but no sound.  When i close firefox nothing is displayed here.

Difference noted: On working system (i.e T61 fixed by changing DE):
1) i do never see Alsa there.
2) system sound is always in the list

--- C)

The middle tab "output devices" list "built in analog stereo", and i can set port to "Earphones / Amplifier" or "Earphones / No amplifier". Slider is set at 100% and also here is a mute button.  I leave it non muted.
No sound in neither loudspeakers nor headphone in either setting.

Difference noted: On the working system:
1) the alternatives are "Loudspeaker" (default) and "Earphones"
Earphones: always sound in earphones, never Loudspeakers. Loudspeaker=automatic change to earphones when plugged in.  Works.
Comment 7 Morgan Leijström 2017-06-03 13:42:25 CEST
Created attachment 9387 [details]
T43 fresh install no sound: lspci -v, rpm -qa|sort, journalctl -xb

Attach an archive of 3 files; current outputs of:
* lspci -v
* rpm -qa|sort
* journalctl -xb
Comment 8 Morgan Leijström 2017-06-03 16:16:19 CEST
Testing to see what makes it work this time:

1) updated plasma-workspace (as it was available in testing) + reboot
-> ALSA (see B in comment 6), not visible, but also never system sound item.  Still no sound, and C) as before. (cant select loudspeaker, and no signal in earphone jack either)

2) installed task-xfce-minimal, reboot, log into it
-> still no sound.  B) and C) same as in 1)
Hint: the volume meter in xfxe sound thingy (opened from the icon in systray) is a live when i play video in firefox, so the signal goes that far.
2b) logged out and into plasma
-> still no sound

3) installed task-cinnamon-minimal, reboot, log into it
-> still no sound
3b) reboot, log into plasma
-> still no sound

sigh... i expected that to work according to comment 2, but that computer had full cinnamon, much more programs, other hardware.  Same DM.

Comparing to another T43 computer (note to self: Klara) that runs mga5 KDE with working sound: it use all the same settings, including it do not have a choice "speaker" but sucessfully use "Earphones / Amplifier" (see C in comment 2)

Disc swap experiment: swapped disks between the two T43: 
-> the mga5 sound works in the other machine too, so hardware have not broken.
The disk with mga6 got "No operating system found" in the other T43. Swapped it back and it worked once, next power on it fail there too, now with tick-tick-tick-tic sound = kind of dead...  Oh crap.

And i who just almost got a dual boot W7/mga6 working on it.

%&@@¤§!-{""!#¤}!!

Over and out
... into the garden i go.
Morgan Leijström 2017-06-03 16:17:33 CEST

Summary: Sound broke recently on thinkpads T43, T60, T61 - get repaired by changing DE => Sound broke recently on thinkpads T43, T60, T61 - may get repaired by changing DE

Rémi Verschelde 2017-08-07 11:30:31 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=19377


Note You need to log in before you can comment on or make changes to this bug.